package main

import (
	"git.tilde.town/nbsp/welcome/app"
	"git.tilde.town/nbsp/welcome/ui"
)

func main() {
	state, err := ui.New(&app.Introduction{})
	if err != nil {
		panic(err)
	}
	defer state.Close()

loop:
	for {
		select {
		case event := <-ui.Events:
			state.HandleEvent(event)
		case newState := <-ui.ViewChange:
			state.HandleViewChange(newState)
		case <-ui.Quit:
			break loop
		}
	}
}
